Bug 182581 - CVE-2006-0195 Possible XSS in MagicHTML (IE only)
CVE-2006-0195 Possible XSS in MagicHTML (IE only)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
source=secunia,reported=20060222,publ...
: Security
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2006-02-23 09:56 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0283
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 12:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-23 09:56:36 EST
Possible XSS in MagicHTML (IE only)
http://www.squirrelmail.org/security/issue/2006-02-10

(Text taken from the above URL)
The MagicHTML filter for incoming HTML email did not correctly
disregard comments (/* */) inserted in style sheets ("u/* */rl"). It
also accepted "u\rl" as "url" in styles. These allow a malicious user         to break the privacy of the user by having them request an item from a
remote site when reading the mail. This happens only in browsers that
parse this invalid style, only one known is Internet Explorer.

source=secunia,reported=20060222,public=20060210
Comment 1 Josh Bressers 2006-03-02 16:12:51 EST
This issue should also affect RHEL3
Comment 4 Red Hat Bugzilla 2006-05-03 12:26:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0283.html

Note You need to log in before you can comment on or make changes to this bug.